<?php

/**
 * description: standard image
 *
 * @package Module
 * @subpackage ContentImage
 * @author marcus.gnass@4fb.de
 * @copyright four for business AG <www.4fb.de>
 * @license http://www.contenido.org/license/LIZENZ.txt
 * @link http://www.4fb.de
 * @link http://www.contenido.org
 */

// assert framework initialization
defined('CON_FRAMEWORK') || die('Illegal call: Missing framework initialization - request aborted.');

// get current container ID
$currentContainerId= cRegistry::getCurrentContainerId();

// make ContentType CMS_TEXT with index as $currentContainerId
$imageSource = make_cms_type("CMS_IMG",$currentContainerId);

// make ContentType CMS_TEXT with index as $currentContainerId
$imageDescription = make_cms_type("CMS_IMGDESCR",$currentContainerId);

// get editor as content type IMGEDITOR with index 1
// skip IMGEDITOR in frontend cause it displays the image too!
if (cRegistry::isBackendEditMode()) {
	$imageEditor = make_cms_type("CMS_IMGEDITOR",$currentContainerId);
}

// build class containing all data necessary to display image
// therefor the image dimensions have to be determined
if (0 < strlen($imageSource)) {
    $clientConfig = cRegistry::getClientConfig(cRegistry::getClientId());
    $filename = str_replace($clientConfig["upl"]["htmlpath"], $clientConfig["upl"]["path"], $imageSource);
    list($imageWidth, $imageHeight) = getimagesize($filename);
    $image = new stdClass();
    $image->src = $imageSource;
    $image->alt = $imageDescription;
    $image->width = $imageWidth;
    $image->height = $imageHeight;
} else {
    $image = NULL;
}

// When in backend edit mode add a label so the author
// knows what to type in the shown field.
if (cRegistry::isBackendEditMode()) {
    $label = mi18n("LABEL_IMAGE");
} else {
    $label = NULL;
}

// get this modules name
$thisModuleData =  new cApiModule($cCurrentModule);
$thisModuleName =  $thisModuleData -> get('name');

// define the class name and replace dots with underscore
$className = str_replace(".", "_", $thisModuleName);

// use smarty template to output header text
$smarty = cSmartyFrontend::getInstance();
$smarty->assign('label', $label);
$smarty->assign('editor', $imageEditor);
$smarty->assign('image', $image);
$smarty->assign('className', $className);
$smarty->display($thisModuleName . '.html');

?>